MCP Vault
Listar servidores MCP
Listas as configurações do servidor MCP pertencentes ao contexto do usuário autenticado.
GET
/
api
/
v1
/
llm
/
mcp
/
servers
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.McpVault.ListServersAsync(
limit: 20,
order: ListMcpServersOrder.Desc
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.mcp_vault.list_servers(limit=20, order="desc")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.mcpVault.listServers({});
console.log(result);
}
run();package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"github.com/MeetKai/mka1-sdks/go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.McpVault.ListServers(ctx, mka1.Pointer[int64](20), nil, operations.ListMcpServersOrderDesc.ToPointer(), nil)
if err != nil {
log.Fatal(err)
}
if res.McpServerList != nil {
// handle response
}
}curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/mcp/servers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/mcp/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/mcp/servers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/mcp/servers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/mcp/servers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "mcp_srv_aa87e2b1112a455b8deabed784372198",
"object": "mcp.server",
"name": "Linear",
"server_label": "linear",
"server_url": "https://mcp.linear.app/mcp",
"server_description": "Linear MCP server",
"allowed_tools": [
"issues.list"
],
"require_approval": "always",
"metadata": {},
"shared_with_end_users": true,
"oauth": {
"authorization_url": "https://linear.app/oauth/authorize",
"token_url": "https://api.linear.app/oauth/token",
"client_id": "linear-oauth-client",
"has_client_secret": true,
"scopes": [
"read",
"write"
],
"token_endpoint_auth_method": "client_secret_basic",
"redirect_uris": [
"https://app.example.com/oauth/callback"
]
},
"created_at": "2026-04-29T12:00:00.000Z",
"updated_at": "2026-04-29T12:00:00.000Z"
}
],
"first_id": "mcp_srv_aa87e2b1112a455b8deabed784372198",
"has_more": false,
"last_id": "mcp_srv_aa87e2b1112a455b8deabed784372198"
}Authorizations
Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.
Headers
Optional external end-user identifier forwarded by the API gateway.
Query Parameters
Required range:
1 <= x <= 100Available options:
asc, desc Was this page helpful?
⌘I
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.McpVault.ListServersAsync(
limit: 20,
order: ListMcpServersOrder.Desc
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.mcp_vault.list_servers(limit=20, order="desc")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.mcpVault.listServers({});
console.log(result);
}
run();package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"github.com/MeetKai/mka1-sdks/go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.McpVault.ListServers(ctx, mka1.Pointer[int64](20), nil, operations.ListMcpServersOrderDesc.ToPointer(), nil)
if err != nil {
log.Fatal(err)
}
if res.McpServerList != nil {
// handle response
}
}curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/mcp/servers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/mcp/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/mcp/servers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/mcp/servers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/mcp/servers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "mcp_srv_aa87e2b1112a455b8deabed784372198",
"object": "mcp.server",
"name": "Linear",
"server_label": "linear",
"server_url": "https://mcp.linear.app/mcp",
"server_description": "Linear MCP server",
"allowed_tools": [
"issues.list"
],
"require_approval": "always",
"metadata": {},
"shared_with_end_users": true,
"oauth": {
"authorization_url": "https://linear.app/oauth/authorize",
"token_url": "https://api.linear.app/oauth/token",
"client_id": "linear-oauth-client",
"has_client_secret": true,
"scopes": [
"read",
"write"
],
"token_endpoint_auth_method": "client_secret_basic",
"redirect_uris": [
"https://app.example.com/oauth/callback"
]
},
"created_at": "2026-04-29T12:00:00.000Z",
"updated_at": "2026-04-29T12:00:00.000Z"
}
],
"first_id": "mcp_srv_aa87e2b1112a455b8deabed784372198",
"has_more": false,
"last_id": "mcp_srv_aa87e2b1112a455b8deabed784372198"
}